List webhook endpoints
curl --request GET \
--url https://platform.demosmith.ai/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.demosmith.ai/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.demosmith.ai/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"description": "<string>",
"events": [
"demo.queued"
],
"enabled": true,
"disabled_at": "2023-11-07T05:31:56Z",
"disabled_reason": "<string>",
"consecutive_failures": 123,
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}Webhooks
List webhook endpoints
GET
/
webhooks
List webhook endpoints
curl --request GET \
--url https://platform.demosmith.ai/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.demosmith.ai/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.demosmith.ai/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"description": "<string>",
"events": [
"demo.queued"
],
"enabled": true,
"disabled_at": "2023-11-07T05:31:56Z",
"disabled_reason": "<string>",
"consecutive_failures": 123,
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}
